List actions
List a wallet’s actions on one or more providers, newest first, filtered by status, type or market.
address and at least one of providerId or providerIds. status filters by one value; statuses accepts up to 7 values as CSV or repeated parameters (when statuses is set, status is ignored). type filters by action type. limit defaults to 100 (maximum 500).Authorizations
Query Parameters
Offset for pagination
x >= 00
Maximum number of items to return
1 <= x <= 500100
Single provider identifier. At least one of providerId or providerIds must be provided.
hyperliquid, hyperliquid-xyz "hyperliquid"
Filter by multiple providers (CSV, repeated query params, or JSON array). At least one of providerId or providerIds must be provided. When both providerId and providerIds are set, results include all listed providers.
hyperliquid, hyperliquid-xyz User wallet address
"0xb8c8eb8efc68796e766f6ab320db8c165c064949"
Filter by action status Current action status
CANCELED, CREATED, WAITING_FOR_NEXT, PROCESSING, FAILED, SUCCESS, STALE Filter by multiple action statuses (supports CSV or repeated query params)
Current action status
CANCELED, CREATED, WAITING_FOR_NEXT, PROCESSING, FAILED, SUCCESS, STALE Filter by action type Supported action types
open, close, updateLeverage, stopLoss, takeProfit, cancelOrder, editOrder, fund, withdraw, approveAgent, approveBuilderFee, updateMargin, setTpAndSl, setUnifiedAccount Filter by market (e.g. hyperliquid-eth-usdc)
"hyperliquid-eth-usdc"

